Workflow Tasks
Cancels the workflow task with the specified ID with a reason. If the given workflow is a subprocess, this method makes sure everything is cancelled from the root process instance. If the given task is not found, this method will assume it already was cancelled without throwing any error.
The ID of the workflow task.
Task successfully canceled.
No content
Task not found.
POST /rest/2.0/workflowTasks/{workflowTaskId}/canceled HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"No content
Completes tasks based on the provided request and returns the following tasks, if the same user is assigned to them.
Parameters of the workflow tasks to be completed.
The list of IDs for tasks that should be completed.
The ID of the guest user. This property is ignored and will be removed without a replacement.
The following tasks, if the calling user is assigned to them. Empty response otherwise.
Represents a workflow task.
The id of the represented object (entity).
Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The UUID of the workflow instance.
The key.
The type.
The key for aggregation purposes.
The priority.
The owner.
The create time.
The due date.
Whether this workflow task is cancelable or not.
Whether this workflow task is reassignable or not.
Whether this task requires a form or not.
Whether this task has form key available or not.
Whether this task contains an activity stream or not.
Whether this task is in error or not.
The error message in case this task is in error.
The description of the workflow task.
The title of the task.
Requested workflow task does not exist.
Current user is not candidate user for workflow task.
POST /rest/2.0/workflowTasks/completed HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"taskIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"taskFormProperties": {
"ANY_ADDITIONAL_PROPERTY": {}
}
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
]Returns the workflow tasks matching given search criteria.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The ID of the business item
The type of the business item
The part of the id of the task
The type of relation between user and searched tasks. This could be either set to search for all the tasks the user is permitted to view or just those assigned to the user.
ALLPossible values: The part of the name of the business item.
The part of the task description.
The ID of the user for which the tasks need to be returned. If empty, the current logged in user will be used
The creation date of the task. It is the timestamp (in UTC time standard)
The due date of the task. It is the timestamp (in UTC time standard)
The title/name of the task.
The task type.
The field on which the results are sorted. On due date by default.
DUE_DATEPossible values: The sorting order.
DESCPossible values: The paged response with found workflow tasks
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/workflowTasks HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response with found workflow tasks
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
]
}Returns the task form data of the workflow task with the specified ID and form property type.
Workflow task ID.
Form property type.
Workflow task form data successfully found.
Represents all task related form data.
The form key.
The id of the task.
Whether the task form contains a activity stream.
The subtitle of the task if any.
User don't have permission for given task
Workflow task form data could not be found.
GET /rest/2.0/workflowTasks/{workflowTaskId}/taskFormData HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"formKey": "text",
"formProperties": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"taskId": "text",
"containsActivityStream": true,
"subtitle": "text"
}Returns the workflow task with the specified ID. A task will only be returned when the user has the correct permission to view it.
The ID of the workflow task to return.
Workflow task successfully found.
Represents a workflow task.
The id of the represented object (entity).
Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The UUID of the workflow instance.
The key.
The type.
The key for aggregation purposes.
The priority.
The owner.
The create time.
The due date.
Whether this workflow task is cancelable or not.
Whether this workflow task is reassignable or not.
Whether this task requires a form or not.
Whether this task has form key available or not.
Whether this task contains an activity stream or not.
Whether this task is in error or not.
The error message in case this task is in error.
The description of the workflow task.
The title of the task.
User don't have permission for given task
Workflow task could not be found.
GET /rest/2.0/workflowTasks/{workflowTaskId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}Reassigns the task with the specified ID to one or more users, groups or roles. Caller needs to provide at least one of the value list for users, groups or roles. If roles are provided then the same number of communities needs to be provided also.
The ID of the workflow task.
The user IDs to reassign to.
The group IDs to reassign to.
The role IDs to reassign to.
The Community IDs of the specified roles to reassign to.
Task successfully reassigned.
No content
Task not found.
POST /rest/2.0/workflowTasks/{workflowTaskId}/reassign HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Last updated
Was this helpful?